function [timerEvts, otherEvts] = retrieveEvents(listener)

    eventList = listener.getEventData();
    eventIter = eventList.iterator;
    timerEvts = [];
    otherEvts = [];
    while eventIter.hasNext
        event = eventIter.next;
        evt = [];
        evt.ID = event.getID;
        evt.TimeStamp = event.getTimeStamp;
        evt.Source = event.getEventSource;
        evt.Data = event.getData;
        evt.Label = event.getLabel;
        
        if strcmp(evt.Source,'Timer')
            timerEvts = [timerEvts evt];
        else
            otherEvts = [otherEvts evt];
        end
    end
end