package pipeClient;

import java.util.HashMap;
import java.util.LinkedList;

import pipeClient.PipeClient.EventEvent;
import pipeClient.PipeClient.StateEvent;

public interface PipeClientListener
{
	void signalClientState(StateEvent state);
	void signalClientEvent(EventEvent event);
	void signalSpikeData(HashMap<Integer, LinkedList<Spike>> spikes);
	void signalEventData(Event evt);
}
